version = '0.21.1'

local xplr = xplr

local home = os.getenv("HOME")
package.path = home
.. "/.config/xplr/plugins/?/init.lua;"
.. home
.. "/.config/xplr/plugins/?.lua;"
.. package.path

require("scp").setup{
  mode = "selection_ops",  -- or `xplr.config.modes.builtin.selection_ops`
  key = "S",
  scp_command = "scp -r",
  non_interactive = false,
  keep_selection = false,
}

require("ouch").setup()

xplr.config.modes.builtin.default.key_bindings.on_key.P = {
  help = "preview",
  messages = {
    {
      BashExecSilently0 = [===[
        FIFO_PATH="/home/erin/xplr.fifo"

        if [ -e "$FIFO_PATH" ]; then
          "$XPLR" -m StopFifo
          rm -f -- "$FIFO_PATH"
        else
          mkfifo "$FIFO_PATH"
          "$HOME/.local/bin/imv-open.sh" "$FIFO_PATH" "$XPLR_FOCUS_PATH" &
          "$XPLR" -m 'StartFifo: %q' "$FIFO_PATH"
        fi
      ]===],
    },
  },
}


xplr.config.modes.builtin.default.key_bindings.on_key.z = {
  help = "zathura",
  messages = {
    {
      BashExecSilently0 = [===[
	  	zathura $XPLR_FOCUS_PATH
      ]===],
    },
  },
}

-- Set it to `true` if you want to enable a safety feature that will save you
-- from yourself when you type recklessly.
--
-- Type: boolean
xplr.config.general.enable_recover_mode = true

xplr.config.node_types.extension.md = { meta = { icon = "" }, style = { fg = "Blue" } }
xplr.config.node_types.extension.rs = { meta = { icon = "🦀" } }
